
/*
	Finger class
	
	holds information about a typing finger 

	author: JAM (Jon A. Maxwell)
	email: jmaxwell@acm.vt.edu
	date: Mar 20 1998
*/


class Finger {

	// constants
	public static final int LEFTHAND = 0;
	public static final int RIGHTHAND = 6;
	//
	public static final int THUMB = 4; // 0..3 other fingers

	int row, col, hand, finger;



// Constructor

	public Finger(int _row, int _col, int _hand, int _finger) {
		row = _row;
		col = _col;
		hand = _hand;
		finger = _finger;
	}


	
// methods

	public int getHand() { return hand; }
	public int getFingerNum() { return finger; } // which finger


}

